Naxsi for Apache: mod_defender

L’équipe Vulture est fière de vous annoncer la disponibilité du module “mod_defender”, pour Apache. Le code est disponible en GPLv3 sur GitHub: https://github.com/VultureProject/mod_defender

mod_defender est un fork du firewall web NAXSI pour NGINX, il est donc compatible avec les configurations NAXSI et NXAPI / NXTOOL. mod_defender est intégré dans la version 1.43 de Vulture (Engine 2.4.25-33). Vulture combine désormais 3 moteurs de filtrage : - mod_security - mod_defender - mod_svm, la solution de machine-Learning d’aDvens (https://www.advens.fr)

Nous publierons dans les prochains jours un article technique présentant mod_defender en détail, avec benchmarks et tests de performance.


Vulture team is proud to announce the release of “mod_defender” for Apache. Source code is available on Github: https://github.com/VultureProject/mod_defender

Mod Defender is an Apache2 module aiming to block attacks thanks to a whitelist policy It uses the same format as NAXSI configs and thus is fully compatible with NXAPI and NXTOOL mod_defender is part of Vulture since version 1.43 (Engine 2.4.25-33).

Vulture now combines 3 filtering engines: - mod_security - mod_defender - mod_svm, the aDvens’s machine-learning solution (https://www.advens.fr)

Will will release some technical details about mod_defender performance in a few days…